Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157928 - Squid dies with assertion in stmem.c "current_offset == target_offset" after start.
Summary: Squid dies with assertion in stmem.c "current_offset == target_offset" after ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 07:46 UTC by Oleg Drokin
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-20 18:35:14 UTC


Attachments (Terms of Use)

Description Oleg Drokin 2005-05-17 07:46:38 UTC
Description of problem:
Squid dies soon after start with assertion failure (seen in cache.log):

2005/05/17 10:03:50| Ready to serve requests.
2005/05/17 10:03:50| Store rebuilding is  3.7% complete
2005/05/17 10:03:52| Done reading /var/spool/squid swaplog (111309 entries)
2005/05/17 10:03:52| Finished rebuilding storage from disk.
2005/05/17 10:03:52|    111269 Entries scanned
2005/05/17 10:03:52|         0 Invalid entries.
2005/05/17 10:03:52|         0 With invalid flags.
2005/05/17 10:03:52|    111267 Objects loaded.
2005/05/17 10:03:52|         0 Objects expired.
2005/05/17 10:03:52|         1 Objects cancelled.
2005/05/17 10:03:52|        39 Duplicate URLs purged.
2005/05/17 10:03:52|         1 Swapfile clashes avoided.
2005/05/17 10:03:52|   Took 1.9 seconds (58035.7 objects/sec).
2005/05/17 10:03:52| Beginning Validation Procedure
2005/05/17 10:03:52|   Completed Validation Procedure
2005/05/17 10:03:52|   Validated 111228 Entries
2005/05/17 10:03:52|   store_swap_size = 1415496k
2005/05/17 10:03:52| storeLateRelease: released 0 objects
2005/05/17 10:03:59| assertion failed: stmem.c:93: "current_offset == target_offset"


Version-Release number of selected component (if applicable):
squid-2.5.STABLE9-1.FC3.4 from FC3 updates.

How reproducible:
Just start the squid.

Additional info:
Initially the squid's cache was created with squid from FC1, but squid from FC3
with no updates works just fine with that.

Comment 1 Oleg Drokin 2005-05-20 18:35:14 UTC
2.5.STABLE9-1.FC3.6 Seems to fix this problem


Note You need to log in before you can comment on or make changes to this bug.